declare module '@dcloudio/uni-app' {
  export function onLaunch(hook: (options?: any) => void): void;
  export function onShow(hook: (options?: any) => void): void;
  export function onHide(hook: () => void): void;
  export function onError(hook: (error: string) => void): void;
  export function onInit(hook: (query?: Record<string, string | undefined>) => void): void;
  export function onLoad(hook: (query?: Record<string, string | undefined>) => void): void;
  export function onReady(hook: () => void): void;
  export function onUnload(hook: () => void): void;
  export function onResize(hook: (options: any) => void): void;
  export function onPullDownRefresh(hook: () => void): void;
  export function onReachBottom(hook: () => void): void;
  export function onTabItemTap(hook: (options: any) => void): void;
  export function onShareAppMessage(hook: (options: any) => any): void;
  export function onPageScroll(hook: (options: any) => void): void;
  export function onNavigationBarButtonTap(hook: (options: any) => void): void;
  export function onBackPress(hook: (options: any) => any): void;
  export function onNavigationBarSearchInputChanged(hook: (event: any) => void): void;
  export function onNavigationBarSearchInputConfirmed(hook: (event: any) => void): void;
  export function onNavigationBarSearchInputClicked(hook: () => void): void;
  export function onShareTimeline(hook: () => any): void;
  export function onAddToFavorites(hook: (options: any) => any): void;
}
